Subject: Re: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 May 2021 14:13:45 +0300

> From: Illia Ostapyshyn <[email-masked]>
> Date: Fri, 14 May 2021 13:09:47 +0200
> Cc: [email-masked]
> 
> > On May 14, 2021, at 12:55, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> Like I mentioned, with this line in init.el Emacs exhibits the same behavior.
> >> 
> >> emacs -Q --execute "(push '(fullscreen . fullboth) default-frame-alist)"
> >> doesn't work as well.
> > 
> > "Doesn't work" in what sense?  What did you expect to happen and what
> > did indeed happen?
> > 
> > And the above line is definitely not for init.el, it's a command for
> > invoking Emacs from the shell prompt.  So I'm not sure I understand
> > what exactly did you try with that command.
> 
> Did not work in the sense of resolving the original issue of this bug
> report:
> 
> Invoking (push '(fullscreen . fullboth) default-frame-alist) during
> Emacs startup causes it to hang, no matter where it is, early-init.el,
> init.el or passed through --execute. Same goes for
> (toggle-frame-fullscreen) and everything else that makes Emacs switch
> to fullscreen mode.

If this fails in init.el, then we should fix that.  But I don't
promise the fix will make it work in early-init.el.